Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("FinancialStock")> _
Public Class JobNumberObjects
    Inherits HCategory
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub

    <NonPersistent>
    <ImmediatePostData(True), DataSourceProperty("CollectionOfJobNumberObjects")>
    Property ParentObject As JobNumberObjects
        Get
            Return MyBase.Parent
        End Get
        Set(value As JobNumberObjects)
            MyBase.Parent = value
        End Set
    End Property
    <VisibleInListView(False), VisibleInDetailView(False), VisibleInLookupListView(False)> _
    <Browsable(False)> _
    <NonPersistent()> _
    Private ReadOnly Property CollectionOfJobNumberObjects As XPCollection(Of JobNumberObjects)
        Get
            Dim _CollectionOfJobNumberObjects As New XPCollection(Of JobNumberObjects)(Session, CriteriaOperator.Parse("Oid != ?", Me.Oid))
            Return _CollectionOfJobNumberObjects
        End Get
    End Property
End Class 'Munkaszámok, projectek

